summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristophe Lyon <christophe.lyon@linaro.org>2017-06-08 13:35:59 +0000
committerChristophe Lyon <christophe.lyon@linaro.org>2017-06-09 13:56:13 +0000
commiteeea4687fc094fde51f428e9479488121351c59c (patch)
tree14e49823214dee89d7df4956b8143ebf5ccdaac0
parentd2ab39f5e69bc1e6f11f59da4e1d3f48d5d7983e (diff)
tcwg-benchmark-results-compare.sh: New script for tcwg-benchmark-results-compare job.bmk-cmp
This script processes result files from tcwg-benchmark job, compares them to a reference and generates a comparison table. Jenkins passes pointers to results via resultref and resultseval parameters. The syntax is the rsync-friendly syntax used in the other related scripts and jobs. This script calls tcwg-benchmark-results.sh from this repo to convert raw results into csv files, and then calls a comparison script in bmk-scripts to compare the two time.csv files. Change-Id: I44500448827700556886e85776cc007be936fd47
-rwxr-xr-xtcwg-benchmark-results-compare.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/tcwg-benchmark-results-compare.sh b/tcwg-benchmark-results-compare.sh
new file mode 100755
index 00000000..466257e9
--- /dev/null
+++ b/tcwg-benchmark-results-compare.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+# Clean: shellcheck -e 2001 ./tcwg-benchmark-results-compare.sh
+
+set -ex
+
+# Make shellcheck happy and workaround Jenkins not defining variables
+# for empty arguments.
+resultsref="$resultsref"
+resultseval="$resultseval"
+
+rm -rf results results-ref artifacts artifacts-ref
+# Prepare reference results
+resultsdest=$resultsref ./tcwg-benchmark-results.sh
+mv artifacts artifacts-ref
+
+# Prepare these results
+rm -rf results
+resultsdest=$resultseval ./tcwg-benchmark-results.sh
+
+bmk-scripts/compare.pl -u time -f 2:1:3 -D /,/ artifacts-ref/time.csv artifacts/time.csv